Bug 771252 - (cinnamon) Review Request: cinnamon - Window management and application launching for GNOME
Review Request: cinnamon - Window management and application launching for GNOME
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Dan Mashal
:
: 781878 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-02 17:45 EST by leigh scott
Modified: 2014-01-13 07:45 EST (History)
51 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
mock build.log resulting from fedora-packager (8.95 KB, text/plain)
2012-07-08 14:54 EDT, Eric Smith
no flags Details
mock root.log resulting from fedora-packager (149.94 KB, text/plain)
2012-07-08 14:55 EDT, Eric Smith
no flags Details

  None (edit)
Description leigh scott 2012-01-02 17:45:17 EST
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/1/cinnamon.spec
SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/1/cinnamon-1.1.3-1.fc16.src.rpm

Cinnamon provides core user interface functions for the GNOME 3 desktop,
like switching to windows and launching applications. Cinnamon takes
advantage of the capabilities of modern graphics hardware and introduces
innovative user interface concepts to provide a visually attractive and
easy to use experience.
The desktop layout is similar to Gnome 2. 
The underlying technology is forked from Gnome Shell.e>
Comment 2 leigh scott 2012-01-11 17:05:35 EST
More info:

The next cinnamon release will use muffin so I have packaged it and submitted a review request

https://bugzilla.redhat.com/show_bug.cgi?id=773470
Comment 3 Bill Nottingham 2012-01-17 11:35:33 EST
*** Bug 781878 has been marked as a duplicate of this bug. ***
Comment 5 John Ellson 2012-01-24 11:23:20 EST
Presumably this is a package review?   I didn't review the .spec file, but local rpmbuild of the package worked flawlessly for me on F16.

Where would you like usage bug reports to be sent?  Some of the things that bother me at the moment:

    - windows open underneath top panel

    - how to disable the exploding_window_when_moved_to_edge feature

    - how to change the corner used for desktop_overview when using top panel, its too close to the menu.
Comment 6 leigh scott 2012-01-24 11:43:15 EST
(In reply to comment #5)
> Presumably this is a package review?   I didn't review the .spec file, but
> local rpmbuild of the package worked flawlessly for me on F16.
> 
> Where would you like usage bug reports to be sent?  Some of the things that
> bother me at the moment:
> 
>     - windows open underneath top panel
> 
>     - how to disable the exploding_window_when_moved_to_edge feature
> 
>     - how to change the corner used for desktop_overview when using top panel,
> its too close to the menu.

You could use the testing repo (It has the latest stable version).

http://forums.fedoraforum.org/showthread.php?t=274611


Could you report any issues here

https://github.com/linuxmint/Cinnamon/issues?sort=created&direction=desc&state=open

>     - windows open underneath top panel

The stable version fixes this issue.



>     - how to change the corner used for desktop_overview when using top panel,
> its too close to the menu.


I have already requested this and it's been approved

https://github.com/linuxmint/Cinnamon/issues/156
Comment 7 Rahul Sundaram 2012-02-04 14:11:14 EST
I am not sure about many of the build requires.  Does Cinnamon have native telepathy integration and in-built screen recording? 

The latest version is http://cinnamon.linuxmint.com/?p=119

Not using muffin?
Comment 8 leigh scott 2012-02-04 15:46:14 EST
As muffin is now approved

SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/4/cinnamon.spec

SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/4/cinnamon-1.2.0-1.fc16.src.rpm

(In reply to comment #7)
> I am not sure about many of the build requires.  Does Cinnamon have native
> telepathy integration and in-built screen recording? 

Telepathy is still a build requirement even if it isn't currently used as for the in-built screen recording that's still there.
Comment 9 Michel Alexandre Salim 2012-02-05 07:26:56 EST
Is anyone officially reviewing this? Thanks.
Comment 10 Jens Petersen 2012-02-15 22:19:51 EST
I think the upstream version is 1.2 not 1.2.0.
Comment 11 leigh scott 2012-02-16 04:04:11 EST
(In reply to comment #10)
> I think the upstream version is 1.2 not 1.2.0.

[leigh@main_pc ~]$ cinnamon --version
Cinnamon 1.2.0
[leigh@main_pc ~]$
Comment 13 Rahul Sundaram 2012-02-17 17:58:35 EST
Please build and push muffin into the repository.  I am not able do a scratch build locally because of what appears to be a yum bug (already filed) and I cannot do a scratch build via koji because muffin-devel doesn't exist in the repository yet.  

http://koji.fedoraproject.org/koji/getfile?taskID=3800032&name=root.log
Comment 14 leigh scott 2012-02-17 18:34:43 EST
Hi Rahul,

Thank you for taking the review 

I built muffin 1.0.1 earlier today.

https://admin.fedoraproject.org/updates/FEDORA-2012-1939/muffin-1.0.1-1.fc16?

I have also added a buildroot override for muffin 1.0.1 for the F16 branch so it's available now.

https://koji.fedoraproject.org/koji/buildinfo?buildID=300162
Comment 15 Rahul Sundaram 2012-02-17 20:24:05 EST
Do it for Fedora 17 as well and meanwhile I will try a Fedora 16 scratch build
Comment 16 leigh scott 2012-02-17 20:43:36 EST
(In reply to comment #15)
> Do it for Fedora 17 as well and meanwhile I will try a Fedora 16 scratch build

I've had issues with F17

https://github.com/linuxmint/Cinnamon/issues/279


Override for F17 added
Comment 17 Christoph Wickert 2012-02-18 12:22:32 EST
What are we going to do about https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries? There is a of code in here, that is an exact copy of the gnome counterparts but renamed to cinnamon.
Comment 18 leigh scott 2012-02-18 12:49:13 EST
(In reply to comment #17)
> What are we going to do about
> https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries?
> There is a of code in here, that is an exact copy of the gnome counterparts but
> renamed to cinnamon.

Sorry I don't see the issue with having forked libs. i
In this case as it would be ludicrous to tie cinnamon to gnome-shell in this way.
Comment 19 Rahul Sundaram 2012-02-19 13:29:18 EST
@Christopher Wickert,  Cinnamon is a fork of GNOME Shell.  We can't use that guideline to prohibit forks and it doesn't apply once there is a different namespace.  In other words, I don't see any problems.  

rpmlint has this error on the binary rpm

cinnamon.x86_64: E: explicit-lib-dependency librsvg2(x86-64)
Comment 20 leigh scott 2012-02-20 06:36:25 EST
(In reply to comment #19)

> rpmlint has this error on the binary rpm
> 
> cinnamon.x86_64: E: explicit-lib-dependency librsvg2(x86-64)


This was something inherited from the gnome-shell srpm, I have no reason to believe the cinnamon requires are different.

version update

SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/6/cinnamon.spec


SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/6/cinnamon-1.3.1-1.fc16.src.rpm
Comment 21 Christoph Wickert 2012-02-26 14:55:41 EST
(In reply to comment #19)
> @Christopher Wickert,  Cinnamon is a fork of GNOME Shell.  We can't use that
> guideline to prohibit forks and it doesn't apply once there is a different
> namespace.  

Who said so? It applies as long as we cannot be sure that bugs and security issues in one project get fixed in the other.

> In other words, I don't see any problems.  

But I do. 

1. Code is forked for no reason. Just look at the commits, the biggest change was updating the headers to use the new address of the FSFE.
2. There seems to be no exchange between GNOME and Cinnamon, not even for trivial issues. Did the Cinnamon people bother to submit the patch that changes the FSFE address upstream? I don't think so.
3. We are working around problems here that are already fixed upstream. Just one example: In the mutter spec Leigh is using "-Wno-error=deprecated-declarations". This was fixed in clutter already on 2012-02-07 in commit 2e63de5c. The same fix was applied to gnome-shell in commit e3d0b6f9 but Leigh is using "--enable-compile-warnings=minimum" instead.
4. Given the number of commits GNOME Shell receives, do you think the Cinnamon people will be able to catch up?

(In reply to comment #18)
> Sorry I don't see the issue with having forked libs.

Please ask yourself. Will you be able to
- figure out where forking was necessary and what could be compiled against the original code?
- port bugfixes from gnome-shell to cinnamon. This might occur with security issues or bugs that cause data loss and in this case you cannot wait for cinnamon upstream to catch up. I'm not even sure they can catch up at all.
Comment 22 Rahul Sundaram 2012-02-26 15:06:28 EST
I dont think you are going to convince me with your viewpoint. If you disagree with me, feel free to file a ticket with FESCo.   Thanks.
Comment 23 Christoph Wickert 2012-02-26 18:35:33 EST
Done: https://fedorahosted.org/fesco/ticket/810
Comment 24 Rahul Sundaram 2012-02-27 00:11:05 EST
Thanks.  Will wait for a decision from FESCo before approving.
Comment 25 Christoph Wickert 2012-02-27 04:17:02 EST
Changing component back to "Package Review". Rahul, beware, this is a bug in WebKit.
Comment 26 Tim Lauridsen 2012-02-29 07:28:38 EST
Look like there is a GO from FESCo :)
Comment 27 Christoph Wickert 2012-02-29 07:42:28 EST
As I understand it they delegated it to FPC and their ticket is still open. I mean, we are not in a hurry, this review is stalled due to incompatibility with GTK+ 3.3.10 - again one of the issues that have already been addressed in gnome-shell.
Comment 28 leigh scott 2012-03-12 14:31:12 EDT
(In reply to comment #27)
> As I understand it they delegated it to FPC and their ticket is still open. I
> mean, we are not in a hurry, this review is stalled due to incompatibility with
> GTK+ 3.3.10 - again one of the issues that have already been addressed in
> gnome-shell.

Your negativity sucks.

https://admin.fedoraproject.org/updates/muffin-1.0.1-3.fc17
Comment 29 Christoph Wickert 2012-03-12 15:07:15 EDT
I don't think this is about being negative or positive but about code. Do you like maintaining code where upstream is unresponsive? I mean, you filed the upstream bug a month ago, but so far there was no response from the developers. Are you able and willing to fix these kind of problems yourself when they appear?
Comment 30 leigh scott 2012-03-12 16:17:36 EDT
(In reply to comment #29)
> Do you like maintaining code where upstream is unresponsive?

No I don't.

>I mean, you filed the
> upstream bug a month ago, but so far there was no response from the developers.

I've filed bugs reports at gnome.org that never received any attention from the developers.
I have found cinnamon upstream responsive, the gtk3 issue will be dealt with in time.

https://wiki.ubuntu.com/Releases

http://fedoraproject.org/wiki/Releases/17/Schedule 


Ubuntu will release gnome 3.4 before fedora 17 (4-6 weeks), hopefully this should be enough time for mint devs to correct some minor issues to cinnamon-settings (gnome dbus changes busted it, if not fixed upstream it should be quite easy to strip the time settings out), they have also incorporated alacarte into cinnamon (I still can't believe they did that, that will be easier to strip).

https://github.com/linuxmint/Cinnamon/issues/515

https://github.com/linuxmint/Cinnamon/issues/494 


> Are you able and willing to fix these kind of problems yourself when they
> appear?

I can only do my best, I also would welcome any co-maintainers wishing to help.
Comment 31 Rahul Sundaram 2012-03-12 20:47:16 EDT
FESCo has clearly approved forks as long as packages don't conflict and FPC has  said that it doesn't see any necessity to issue additional guidelines on this topic.  Both tickets are closed and this matter is settled conclusively.  There are valid concerns with any forks surrounding maintenance etc but that is not part of the package review process.  Let's keep the focus on packaging issues if any at this point.
Comment 32 Christoph Wickert 2012-03-13 06:41:25 EDT
(In reply to comment #30)

> I've filed bugs reports at gnome.org that never received any attention from the
> developers.

But you don't happen to maintain any of the programs you filed bugs against, do you?

> Ubuntu will release gnome 3.4 before fedora 17 (4-6 weeks), hopefully this
> should be enough time for mint devs to correct some minor issues to
> cinnamon-settings 

I doubt that this will be enough time. Mint 12 was released 6 weeks after Ubuntu 11:10. Given this delay Fedora 17 will either be frozen or even released.

While the Mint developers are free to delay their release, Fedora has a tight schedule *and* happens to be *the* GNOME upstream distribution. We have the maintainers of GNOME and GTK and none of them will wait for you to fix Cinnamon. I wish you good luck with your effort!

> they have also incorporated alacarte into cinnamon 

That is a dirty hack, see 
https://bugzilla.redhat.com/show_bug.cgi?id=734442

(In reply to comment #31)
> There
> are valid concerns with any forks surrounding maintenance etc but that is not
> part of the package review process.

Quote from http://fedoraproject.org/wiki/Package_Review_Process
"The purpose of this formal review is to try to ensure that the package meets the quality control requirements for Fedora. This does not mean that the package (or the software being packaged) is perfect, but it should meet baseline minimum requirements for quality."

Anyway, I don't want to prevent cinnamon from getting into Fedora or delay the process. I just want to express my concerns and wish all of you good luck.
Comment 33 Tim Lauridsen 2012-03-13 07:00:59 EDT
I have been using leigh's cinnamon packages for a while on F16 and have not had any issues at all, I wish i could say the same thing about gnome-shell.

Leigh, I would like help out co-maintaining (fasname = timlau)
Comment 34 leigh scott 2012-03-13 08:00:53 EDT
(In reply to comment #33)
> I have been using leigh's cinnamon packages for a while on F16 and have not had
> any issues at all, I wish i could say the same thing about gnome-shell.
> 
> Leigh, I would like help out co-maintaining (fasname = timlau)

Hi Tim,

I will add you to the acls as soon as it's approved.
Here's my initial attempt for a working f17 package

http://leigh123linux.fedorapeople.org/pub/srpm/cinnamon-1.3.1-15.fc17.src.rpm

Patch 2 (logout_theme.patch) will need to dropped as it masks the hibernate and suspend options.

https://github.com/linuxmint/Cinnamon/issues/175
https://github.com/rat4/Cinnamon/commit/33337b5583f4ad46c377beb5802593dd35f68358

The srpm is also versioned wrong, it's a snapshot from 4-5 days ago (I was to lazy to change it in the spec).

The latest f17 muffin package also has broken deps (missing libcogl.so.9 which hasn't been pushed yet)  due to earlier build failures and now this cogl override.

https://koji.fedoraproject.org/koji/buildinfo?buildID=306366

Thanks

Leigh
Comment 35 Rahul Sundaram 2012-03-13 09:42:31 EDT
@Christoph Wickert,  The quote doesn't mean what you think it does.  We don't do code review as part of the review process clearly and there is no real history of even checking for functionality.  If you want this to change, that is a reasonable position but any claim otherwise is overreaching. The checklist for instance focuses only on packaging policy.  The worst that could happen is that the package gets abandoned after a while but that isn't a real problem.  It happens routinely anyway.
Comment 36 Christoph Wickert 2012-03-14 08:21:50 EDT
(In reply to comment #35)
> We don't
> do code review as part of the review process clearly and there is no real
> history of even checking for functionality.  

I agree that a code review is not mandatory part of a package review, nevertheless I consider it very useful. I recall a review that revealed serious bugs and even a security issue in one of my packages. Me and the reviewer worked on patches and I upstreamed them before the package was released in Fedora. This is how successful collaboration between developers and package maintainers should look like.

Besides that, checking for basic functionality *is* definitely part of the review checklist: "The reviewer should test that the package functions as described. A package should not segfault instead of running, for example."
Comment 37 Rahul Sundaram 2012-03-14 16:16:44 EDT
A lot of things are useful and there is no debate about that but as per current guidelines, a code review is not mandatory and checking for whether something is segfaulting isnt anywhere close to being a functional review.  In practise, reviews focus on packaging guidelines and policies and this shouldn't be a surprise to anyone.  If you want to advocating a policy change for reviewers, a per bug approach doesn't scale and you should look into proposing it via FESCo instead.   At best, it can be a recommendation.
Comment 38 Need Real Name 2012-03-20 14:26:42 EDT
As a developer, I appreciate the commentary, and the professionalism and diligence that is driving it, so thanks all of you for that.

As a longtime Fedora user ... I'll be pleased to have Cinnamon in Fedora. I have suspended Fedora upgrades on all my desktop systems until a reasonable alternative to Gnome 3 shell is offered.  I think Cinnamon will allow me to continue to use (and advocate) Fedora.
Comment 39 Trevor Pott 2012-05-21 14:41:40 EDT
I have to echo comment 38's thoughts.  As a developer I have reservations about the inclusion of any packages that don't show a strong upstream maintenance ethos.  As a systems administrator, those same concerns ring true once more; if I am to begin deployment of a Cinnamon-based Fedora to certain users, I want a package set that is so well maintained it has a reasonable chance of making it into RHEL eventually, and serving as the replacement for Gnome 2.

That said, this isn't RHEL.  It is Fedora.  This is where new projects, package sets and so forth come to be tested out.  For Cinnamon to grow, there needs be momentum.  Momentum that brings Redhat-based distributions to the forefront of the upstream maintainers' minds.  

As a Linux user, I find Gnome 3 flat out completely unacceptable.  It might as well be Unity or WinRT/Metro.  I will not use it.  Nor will the majority of my supported install base.  This is something that we know exists as an issue; there has been strong pushback from all over the IT community and userbase against all three of these UIs.

As developers, systems administrators and distribution maintainers we cannot allow ourselves to fall into the trap of telling vast swathes of our userbase “just use what we put in front of you, we know better than you.”  

Users are not proles; and they are not the enemy.

So I argue that the inclusion of the Cinnamon package set is indeed critical.  It is critical if for no other reason than that of staying true to the very core ideal of Free and Open Source Software: choice.

Does the Fedora project tell it’s user base “if you want Cinnamon/Gnome 2 style desktops, go elsewhere,” thus forcing users, sysadmins and developers to become familiar with the quirks and intricacies of Debian, leaving the Red Hat ecosystem behind forever?  

Or does the Fedora project hold true to choice, retain these wayward users and try to grow the community support for Cinnamon, allowing this highly popular alternative to eventually become a first class citizen and move the totality of the Red Hat ecosystem forward?
Comment 40 Richard Körber 2012-05-21 15:54:49 EDT
@Trevor: +1

Thank you, you wrote down my feelings!
Comment 41 Eric Smith 2012-05-23 22:45:43 EDT
Is this package review stalled for some reason?  I thought the issues that were raised had been addressed, but nothing seems to have happened since then.  I don't want to step on anyone's toes or offend anyone, but if there's not anything blocking it then I'd be willing to review it.
Comment 42 Rahul Sundaram 2012-05-27 00:21:23 EDT
Please don't use this review for general commentary and questions.  This is just for reviewing the package.  Has it been updated to the latest version?
Comment 43 Eric Smith 2012-05-27 03:34:19 EDT
Perhaps not general commentary, but a package review bug is definitely the correct place for questions about the review of the package, and answers to those questions.
Comment 44 leigh scott 2012-05-27 07:25:14 EDT
(In reply to comment #42)

>   Has it been updated to the latest version?

Here's the latest stable version.

SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/7/cinnamon.spec

SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/7/cinnamon-1.4.0.UP1-1.fc16.src.rpm
Comment 45 Christoph Wickert 2012-05-27 13:07:20 EDT
Doesn't build on rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4106318

I haven't checked F17. And the versioning is not right, the non-numeric part needs to go into the release, see https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Non-Numeric_Version_in_Release
Comment 46 leigh scott 2012-05-27 14:19:16 EDT
(In reply to comment #45)
> Doesn't build on rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4106318
> 
> I haven't checked F17. And the versioning is not right, the non-numeric part
> needs to go into the release, see
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Non-
> Numeric_Version_in_Release



SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/8/cinnamon.spec

SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/8/cinnamon-1.4.0-2.UP1.fc16.src.rpm
Comment 47 Christoph Wickert 2012-05-27 16:25:58 EDT
Thanks! Versioning is correct and it builds under rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4109148

Anybody willing to do the formal review?
Comment 48 Rahul Sundaram 2012-05-27 16:53:45 EDT
@Eric Smith,  my comment wasn't directed at you.   If you want to do a formal review, feel free to go ahead.
Comment 49 Ralf Corsepius 2012-05-28 02:10:55 EDT
Could you elaborate this:

# rpm -qlvp cinnamon-1.4.0-2.UP1.fc18.x86_64.rpm | grep cinnamon.mo | grep de
-rw-r--r--    1 root    root                    23286 May 28 07:20 /usr/share/cinnamon/locale/de/LC_MESSAGES/cinnamon.mo
-rw-r--r--    1 root    root                    26300 May 28 07:20 /usr/share/locale/de/LC_MESSAGES/cinnamon.mo
Comment 50 leigh scott 2012-05-28 02:26:01 EDT
(In reply to comment #49)
> Could you elaborate this:
> 
> # rpm -qlvp cinnamon-1.4.0-2.UP1.fc18.x86_64.rpm | grep cinnamon.mo | grep de
> -rw-r--r--    1 root    root                    23286 May 28 07:20
> /usr/share/cinnamon/locale/de/LC_MESSAGES/cinnamon.mo
> -rw-r--r--    1 root    root                    26300 May 28 07:20
> /usr/share/locale/de/LC_MESSAGES/cinnamon.mo

The cinnamon devs are in the process of adding there own docs

http://cinnamon.linuxmint.com/?p=179

https://github.com/linuxmint/Cinnamon/commit/615589a7b0de9d969ae3bfb323749be48cbc67be
Comment 51 Eric Smith 2012-05-28 04:50:23 EDT
I haven't checked everything yet, but here are a few things reported by fedora-review:


[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: cinnamon-1.4.0-2.UP1.fc18.i686.rpm :
     /usr/lib/cinnamon/libcinnamon.so

[!]: MUST %config files are marked noreplace or the reason is justified.
     Note: %config %{_sysconfdir}/gconf/schemas/cinnamon.schemas%config
     %{_sysconfdir}/xdg/menus/cinnamon-applications.menu%config
     %{_sysconfdir}/xdg/menus/cinnamon-settings.menu

[!]: MUST Package does not contain duplicates in %files.
     Note: warning: File listed twice:
     /usr/share/cinnamon/locale/ar/LC_MESSAGES/cinnamon.mo

rpmlint gives many incorrect-fsf-address errors.  I think Fedora policy is to ask upstream to fix that.

cinnamon.i686: E: explicit-lib-dependency librsvg2(x86-32)

cinnamon.i686: E: backup-file-in-package /usr/share/cinnamon-settings/cinnamon-settings.py.orig

cinnamon.i686: W: dangerous-command-in-%pre rm
cinnamon.i686: W: dangerous-command-in-%post rm

[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: cinnamon-%{version}.UP1.tar.gz
     (cinnamon-%{version}.UP1.tar.gz) Source1: cinnamon.desktop
     (cinnamon.desktop) Source2: cinnamon.session (cinnamon.session) Source3:
     menu.png (menu.png) Patch0: cinnamon-favourite-apps-firefox.patch
     (cinnamon-favourite-apps-firefox.patch) Patch1: menu.patch (menu.patch)
     Patch2: logout_theme.patch (logout_theme.patch) Patch3:
     cinnamon_bluetooth.patch (cinnamon_bluetooth.patch) Patch4:
     settings.patch (settings.patch)

That's not required, but I strongly suggest going beyond that and naming patches starting not just with %{name}-, but %[name}-%{version}-.  I've found that makes maintenance of the package easier.  You might also find adding a "-b .briefdescription" to the %patch command line handy, as it prepares for the use of gendiff when you want to create updated patches.

[!]: SHOULD Spec use %global instead of %define.
     Note: %define clutter_version 1.4.0 %define gobject_introspection_version
     0.10.1 %define muffin_version 1.0.2 %define eds_version 2.91.6 %define
     json_glib_version 0.13.2

cinnamon.src: W: invalid-url Source0: cinnamon-1.4.0.UP1.tar.gz

Note that it is possible to construct URLs to extract tarballs with a chosen name.  See the "GitHub is a terrible upstream" thread on the devel list.  In particular, Orion Poplawski pointed out recently:

    It wasn't obvious at first to me but this works with tags not
    just commit hashes.  So if a project tags there version numbers
    you can do something like:

        https://github.com/enthought/mayavi/tarball/4.2.0/Mayavi-4.2.0.tar.gz

    The contents are still in a directory named user-app-hash
Comment 52 leigh scott 2012-05-28 05:26:18 EDT
(In reply to comment #51)
> I haven't checked everything yet, but here are a few things reported by
> fedora-review:
> 
> 
> [!]: MUST Development (unversioned) .so files in -devel subpackage, if
>      present.
>      Note: cinnamon-1.4.0-2.UP1.fc18.i686.rpm :
>      /usr/lib/cinnamon/libcinnamon.so

Sorry but this is wrong, the unversioned .so belongs in the main package.


[leigh@main-pc f17]$ rpm -ql cinnamon |grep lib
/usr/lib64/cinnamon
/usr/lib64/cinnamon/Cinnamon-0.1.typelib
/usr/lib64/cinnamon/Gvc-1.0.typelib
/usr/lib64/cinnamon/St-1.0.typelib
/usr/lib64/cinnamon/libcinnamon.so
/usr/libexec/cinnamon-calendar-server
/usr/libexec/cinnamon-hotplug-sniffer
/usr/libexec/cinnamon-perf-helper
/usr/share/glib-2.0/schemas/org.cinnamon.gschema.xml
[leigh@main-pc f17]$ rpm -ql gnome-shell |grep lib
/usr/lib64/gnome-shell
/usr/lib64/gnome-shell/Gvc-1.0.typelib
/usr/lib64/gnome-shell/Shell-0.1.typelib
/usr/lib64/gnome-shell/St-1.0.typelib
/usr/lib64/gnome-shell/libgnome-shell.la
/usr/lib64/gnome-shell/libgnome-shell.so
/usr/lib64/mozilla/plugins/libgnome-shell-browser-plugin.so
/usr/libexec/gnome-shell-calendar-server
/usr/libexec/gnome-shell-hotplug-sniffer
/usr/libexec/gnome-shell-perf-helper
/usr/share/glib-2.0/schemas/org.gnome.shell.gschema.xml
[leigh@main-pc f17]$ 


gnome-shell has the unversioned .so as well!



> 
> [!]: MUST %config files are marked noreplace or the reason is justified.
>      Note: %config %{_sysconfdir}/gconf/schemas/cinnamon.schemas%config
>      %{_sysconfdir}/xdg/menus/cinnamon-applications.menu%config
>      %{_sysconfdir}/xdg/menus/cinnamon-settings.menu
> 

Wrong, these files aren't meant to be configured by the user so don't need the %config flag.
gnome-shell and gnome-menus don't have the %config flag either



> [!]: MUST Package does not contain duplicates in %files.
>      Note: warning: File listed twice:
>      /usr/share/cinnamon/locale/ar/LC_MESSAGES/cinnamon.mo
>

I will fix this
 
> rpmlint gives many incorrect-fsf-address errors.  I think Fedora policy is
> to ask upstream to fix that.
> 
> cinnamon.i686: E: explicit-lib-dependency librsvg2(x86-32)
> 
> cinnamon.i686: E: backup-file-in-package
> /usr/share/cinnamon-settings/cinnamon-settings.py.orig

Are you reviewing the latest srpm? because that file doesn't exist!

[leigh@main-pc f17]$ rpm -q cinnamon
cinnamon-1.4.0-2.UP1.fc16.x86_64
[leigh@main-pc f17]$ rpm -ql cinnamon |grep cinnamon-settings.py.orig
[leigh@main-pc f17]$


> 
> cinnamon.i686: W: dangerous-command-in-%pre rm
> cinnamon.i686: W: dangerous-command-in-%post rm
> 
> [!]: SHOULD SourceX / PatchY prefixed with %{name}.
>      Note: Source0: cinnamon-%{version}.UP1.tar.gz
>      (cinnamon-%{version}.UP1.tar.gz) Source1: cinnamon.desktop
>      (cinnamon.desktop) Source2: cinnamon.session (cinnamon.session) Source3:
>      menu.png (menu.png) Patch0: cinnamon-favourite-apps-firefox.patch
>      (cinnamon-favourite-apps-firefox.patch) Patch1: menu.patch (menu.patch)
>      Patch2: logout_theme.patch (logout_theme.patch) Patch3:
>      cinnamon_bluetooth.patch (cinnamon_bluetooth.patch) Patch4:
>      settings.patch (settings.patch)
> 
> That's not required, but I strongly suggest going beyond that and naming
> patches starting not just with %{name}-, but %[name}-%{version}-.  I've
> found that makes maintenance of the package easier.  You might also find
> adding a "-b .briefdescription" to the %patch command line handy, as it
> prepares for the use of gendiff when you want to create updated patches.
> 

I will version the patches, as for using the -b flag, no it causes crap like this

 cinnamon.i686: E: backup-file-in-package
 /usr/share/cinnamon-settings/cinnamon-settings.py.orig


> [!]: SHOULD Spec use %global instead of %define.
>      Note: %define clutter_version 1.4.0 %define
> gobject_introspection_version
>      0.10.1 %define muffin_version 1.0.2 %define eds_version 2.91.6 %define
>      json_glib_version 0.13.2
>


I will change the %define to %global
 
> cinnamon.src: W: invalid-url Source0: cinnamon-1.4.0.UP1.tar.gz
> 
> Note that it is possible to construct URLs to extract tarballs with a chosen
> name.  See the "GitHub is a terrible upstream" thread on the devel list.  In
> particular, Orion Poplawski pointed out recently:
> 
>     It wasn't obvious at first to me but this works with tags not
>     just commit hashes.  So if a project tags there version numbers
>     you can do something like:
> 
>         https://github.com/enthought/mayavi/tarball/4.2.0/Mayavi-4.2.0.tar.gz
> 
>     The contents are still in a directory named user-app-hash
Comment 54 Eric Smith 2012-05-29 05:11:42 EDT
> Sorry but this is wrong, the unversioned .so belongs in the main package.
[...]
> gnome-shell has the unversioned .so as well!

Is it the case that /usr/lib/cinnamon/libcinnamon.so is not used by anything other than cinnamon itself?  If so, then my interpretation of the packaging guidelines for devel packages is that the unversioned .so is OK in a non-devel package.

Otherwise, without knowing why there should be an exception to a MUST item in a package review, beyond that another Fedora package does it, I wouldn't feel qualified to sign off on an exception. As far as I can tell, the original package review of gnome-shell (bug #516654) did not address this requirement at all.

I do see that the explicit library dependency on librsvg2(x86-32) was approved for gnome-shell, and that exception seems to be justified for cinnamon also.

> Are you reviewing the latest srpm? because that file doesn't exist!

Yes, I ran fedora-review on the SRPM you provided for 1.4.0-2.UP1, and that was reported.  I'll check it manually.

> I will version the patches, as for using the -b flag,
> no it causes crap like this

I use -b in all my packages, and have never once seen it cause a backup-file-in-package problem.  Perhaps that's because I generally avoid wildcards without extensions (or whole directories) in the %files ection.  However, that was only a suggestion so you're free to ignore it.
Comment 55 leigh scott 2012-05-29 05:28:30 EDT
(In reply to comment #54)
> > Sorry but this is wrong, the unversioned .so belongs in the main package.
> [...]
> > gnome-shell has the unversioned .so as well!
> 
> Is it the case that /usr/lib/cinnamon/libcinnamon.so is not used by anything
> other than cinnamon itself?  If so, then my interpretation of the packaging
> guidelines for devel packages is that the unversioned .so is OK in a
> non-devel package.

Yes, the .so is only used by cinnamon.


> I use -b in all my packages, and have never once seen it cause a
> backup-file-in-package problem.  Perhaps that's because I generally avoid
> wildcards without extensions (or whole directories) in the %files ection. 
> However, that was only a suggestion so you're free to ignore it.

All the files in this directory are copied to the final package

linuxmint-Cinnamon-af1653f/files
Comment 56 Tomas Mraz 2012-05-29 05:32:09 EDT
Eric, note that the libcinnamon.so is in a subdirectory and not directly in /usr/lib - it really belongs to the main package and not to a devel package. The .so in devel packages are generally just links to a versioned libraries.
Comment 57 Christoph Wickert 2012-05-29 07:34:04 EDT
(In reply to comment #54)
> without knowing why there should be an exception to a MUST item
> in a package review, beyond that another Fedora package does it, I wouldn't
> feel qualified to sign off on an exception.

The unversioned libcinnamon.so is ok when the following conditions are met:
- It's only used by cinnamon: OK
- It's not in the linker's default path but in a subdirectory: OK
- It's not provided or required by the package: FIX

$ rpm -qp --provides cinnamon-1.4.0-3.UP1.fc18.x86_64.rpm 
cinnamon = 1.4.0-3.UP1.fc18
cinnamon(x86-64) = 1.4.0-3.UP1.fc18
libcinnamon.so()(64bit)  

This needs to be stripped out as described in
https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
Comment 58 leigh scott 2012-05-29 08:11:58 EDT
(In reply to comment #57)

> - It's not provided or required by the package: FIX
> 
> $ rpm -qp --provides cinnamon-1.4.0-3.UP1.fc18.x86_64.rpm 
> cinnamon = 1.4.0-3.UP1.fc18
> cinnamon(x86-64) = 1.4.0-3.UP1.fc18
> libcinnamon.so()(64bit)  
> 
> This needs to be stripped out as described in
> https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

I have added this to the spec

%{?filter_setup:
%filter_from_provides /^libcinnamon.so/d;
%filter_from_requires /^libcinnamon.so/d;
%filter_setup
}


Updated spec & srpm


SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/10/cinnamon.spec



SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/10/cinnamon-1.4.0-6.UP1.fc16.src.rpm
Comment 59 Ralf Corsepius 2012-05-30 09:04:41 EDT
Package fails to build from source:
...
configure: error: Package requirements (gio-2.0 >= 2.29.10
                               gio-unix-2.0 dbus-glib-1 libxml-2.0
                               gtk+-3.0 >= 3.0.0
                               folks >= 0.5.2
                               libmuffin >= 1.0.2
                               gjs-internals-1.0 >= 1.29.18
                               libgnome-menu-3.0 gstreamer-0.10 gstreamer-base-0.10 x11 gconf-2.0
                               gdk-x11-3.0 libsoup-2.4 gl
                               clutter-x11-1.0 >= 1.7.5
                               libstartup-notification-1.0 >= 0.11
                               gobject-introspection-1.0 >= 0.10.1
                               libcanberra
                               telepathy-glib >= 0.15.5
                               telepathy-logger-0.2 >= 0.2.4
                               polkit-agent-1 >= 0.100 xfixes
                               libnm-glib libnm-util gnome-keyring-1) were not met:
No package 'libmuffin' found
...

AFAIS, BR: muffin-devel >= 1.0.2 is missing.
Comment 60 leigh scott 2012-05-30 09:20:14 EDT
(In reply to comment #59)
> Package fails to build from source:
> ...
> configure: error: Package requirements (gio-2.0 >= 2.29.10
>                                gio-unix-2.0 dbus-glib-1 libxml-2.0
>                                gtk+-3.0 >= 3.0.0
>                                folks >= 0.5.2
>                                libmuffin >= 1.0.2
>                                gjs-internals-1.0 >= 1.29.18
>                                libgnome-menu-3.0 gstreamer-0.10
> gstreamer-base-0.10 x11 gconf-2.0
>                                gdk-x11-3.0 libsoup-2.4 gl
>                                clutter-x11-1.0 >= 1.7.5
>                                libstartup-notification-1.0 >= 0.11
>                                gobject-introspection-1.0 >= 0.10.1
>                                libcanberra
>                                telepathy-glib >= 0.15.5
>                                telepathy-logger-0.2 >= 0.2.4
>                                polkit-agent-1 >= 0.100 xfixes
>                                libnm-glib libnm-util gnome-keyring-1) were
> not met:
> No package 'libmuffin' found
> ...
> 
> AFAIS, BR: muffin-devel >= 1.0.2 is missing.

It builds fine for all targets here


 koji build --scratch f16 '/home/leigh/Desktop/cinnamon-1.4.0-6.UP1.fc16.src.rpm' 
Uploading srpm: /home/leigh/Desktop/cinnamon-1.4.0-6.UP1.fc16.src.rpm
[====================================] 100% 00:00:38   2.53 MiB  67.88 KiB/sec
Created task: 4114242
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4114242
Watching tasks (this may be safely interrupted)...
4114242 build (f16, cinnamon-1.4.0-6.UP1.fc16.src.rpm): open (x86-04.phx2.fedoraproject.org)
  4114244 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): free
  4114243 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): free
  4114243 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): free -> open (x86-18.phx2.fedoraproject.org)
  4114244 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): free -> open (x86-11.phx2.fedoraproject.org)
  4114243 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): open (x86-18.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  4114244 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
4114242 build (f16, cinnamon-1.4.0-6.UP1.fc16.src.rpm): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

4114242 build (f16, cinnamon-1.4.0-6.UP1.fc16.src.rpm) completed successfully







 koji build --scratch f17 '/home/leigh/Desktop/cinnamon-1.4.0-6.UP1.fc16.src.rpm'
Uploading srpm: /home/leigh/Desktop/cinnamon-1.4.0-6.UP1.fc16.src.rpm
[====================================] 100% 00:00:37   2.53 MiB  69.05 KiB/sec
Created task: 4114247
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4114247
Watching tasks (this may be safely interrupted)...
4114247 build (f17, cinnamon-1.4.0-6.UP1.fc16.src.rpm): free
4114247 build (f17, cinnamon-1.4.0-6.UP1.fc16.src.rpm): free -> open (x86-16.phx2.fedoraproject.org)
  4114248 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): open (x86-16.phx2.fedoraproject.org)
  4114249 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): open (x86-06.phx2.fedoraproject.org)
  4114248 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): open (x86-16.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  4114249 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
4114247 build (f17, cinnamon-1.4.0-6.UP1.fc16.src.rpm): open (x86-16.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

4114247 build (f17, cinnamon-1.4.0-6.UP1.fc16.src.rpm) completed successfully





 koji build --scratch f18 '/home/leigh/Desktop/cinnamon-1.4.0-6.UP1.fc16.src.rpm'
Uploading srpm: /home/leigh/Desktop/cinnamon-1.4.0-6.UP1.fc16.src.rpm
[====================================] 100% 00:00:30   2.53 MiB  83.65 KiB/sec
Created task: 4114253
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4114253
Watching tasks (this may be safely interrupted)...
4114253 build (f18, cinnamon-1.4.0-6.UP1.fc16.src.rpm): free
4114253 build (f18, cinnamon-1.4.0-6.UP1.fc16.src.rpm): free -> open (x86-15.phx2.fedoraproject.org)
  4114256 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): free
  4114255 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): open (x86-15.phx2.fedoraproject.org)
  4114256 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): free -> open (x86-01.phx2.fedoraproject.org)
  4114255 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, x86_64): open (x86-15.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  4114256 buildArch (cinnamon-1.4.0-6.UP1.fc16.src.rpm, i686): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
4114253 build (f18, cinnamon-1.4.0-6.UP1.fc16.src.rpm): open (x86-15.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

4114253 build (f18, cinnamon-1.4.0-6.UP1.fc16.src.rpm) completed successfully
Comment 61 Ralf Corsepius 2012-05-30 09:42:05 EDT
Possible - I just noticed, I had an older version of your cinnamon package in my local f16 repo, which seemingly obsoletes muffin-devel:
...
INFO: Package muffin-devel-1.0.2-1.fc16.x86_64 is obsoleted by cinnamon-1.2.1-0.2.git7c2c952.fc16.x86_64 which is already installed
...

Anyway, there is more to it:

The configure script explicitly checks for libmuffin >= 1.2.0 using pkg-config.
=> missing BR: pkgconfig(libmuffin) >= <something>

However, muffin-devel in Fedora 16 provides
pkgconfig(libmuffin) = 3.2.1

I'd therefore assume cinnamon's configure script is not checking for the right version of libmuffin.pc.
 (The pkgconfig data indicates muffin-devel-1.2.0 is providing libmuffin-3.2.1, even though the SONAME seems to be 0.0.0, and even though the package version is 1.2.0)
Comment 62 Brandon 2012-06-19 22:59:52 EDT
What is currently happinging with Cinnamon in Fedora? Has it been abandoned?
Comment 63 Brandon 2012-06-19 23:00:53 EDT
What is currently happinging with Cinnamon in Fedora? Has it been abandoned?
Comment 64 Eric Smith 2012-06-20 02:27:26 EDT
Currently waiting for a resolution to the pkgconfig(libmuffin) dependency issue raised in comment 61 above.
Comment 65 leigh scott 2012-06-20 04:45:36 EDT
(In reply to comment #64)
> Currently waiting for a resolution to the pkgconfig(libmuffin) dependency
> issue raised in comment 61 above.

I Don't see that this issue (surely this is a muffin problem)  affects the review, plus I consider it out of the scope of a package review (it's a upstream issue, not mine).
Comment 66 leigh scott 2012-06-20 06:52:20 EDT
(In reply to comment #65)
> (In reply to comment #64)
> > Currently waiting for a resolution to the pkgconfig(libmuffin) dependency
> > issue raised in comment 61 above.
> 
> I Don't see that this issue (surely this is a muffin problem)  affects the
> review, plus I consider it out of the scope of a package review (it's a
> upstream issue, not mine).

Cinnamon defines a minimum required libmuffin version in it's configure.ac


MUFFIN_MIN_VERSION=1.0.2
FOLKS_MIN_VERSION=0.5.2
GTK_MIN_VERSION=3.0.0
GIO_MIN_VERSION=2.29.10
LIBECAL_MIN_VERSION=2.32.0
LIBEDATASERVER_MIN_VERSION=1.2.0
LIBEDATASERVERUI_MIN_VERSION=2.91.6
TELEPATHY_GLIB_MIN_VERSION=0.15.5
TELEPATHY_LOGGER_MIN_VERSION=0.2.4
POLKIT_MIN_VERSION=0.100
STARTUP_NOTIFICATION_MIN_VERSION=0.11

# Collect more than 20 libraries for a prize!
PKG_CHECK_MODULES(CINNAMON, gio-2.0 >= $GIO_MIN_VERSION
                               gio-unix-2.0 dbus-glib-1 libxml-2.0
                               gtk+-3.0 >= $GTK_MIN_VERSION
                               folks >= $FOLKS_MIN_VERSION
                               libmuffin >= $MUFFIN_MIN_VERSION




Muffin provides 3.2.1 which satisfies the build requirement


$ pkg-config --print-provides libmuffin
libmuffin = 3.2.1
Comment 67 Jeff Layton 2012-07-02 09:23:09 EDT
Agreed, that doesn't seem to be an issue with cinnamon, but rather with muffin. Has anyone filed a bug against it?

As far as I can tell, the cinnamon rpm seems to be doing the right thing here. Eric, do you disagree?
Comment 68 leigh scott 2012-07-02 09:31:31 EDT
(In reply to comment #67)
> Agreed, that doesn't seem to be an issue with cinnamon, but rather with
> muffin. Has anyone filed a bug against it?


Yes, 5 months ago.

https://github.com/linuxmint/muffin/issues/5
Comment 69 Jeff Layton 2012-07-02 09:44:27 EDT
Well, there is a bit of a problem here...not with the cinnamon package, but with your repo...

It looks like there are newer muffin packages within that repo that will probably conflict with the ones in the fedora repos. Are they strictly needed for cinnamon here or will cinnamon work with the muffin version in rawhide? I'd assume that it would. I have cinnamon-1.4.1-0.3.fc17.x86_64:

$ rpm -q --requires cinnamon | grep muffin
libmuffin.so.0()(64bit)  
muffin(x86-64) >= 1.0.2

It may be best to remove the muffin packages from your repo if you can get away with that...
Comment 70 Jens Petersen 2012-07-02 10:09:36 EDT
Are there any other renaming issues with the current submission?
Comment 71 leigh scott 2012-07-02 10:31:26 EDT
(In reply to comment #69)
> Well, there is a bit of a problem here...not with the cinnamon package, but
> with your repo...
> 
> It looks like there are newer muffin packages within that repo that will
> probably conflict with the ones in the fedora repos. Are they strictly
> needed for cinnamon here or will cinnamon work with the muffin version in
> rawhide? I'd assume that it would. I have cinnamon-1.4.1-0.3.fc17.x86_64:
> 
> $ rpm -q --requires cinnamon | grep muffin
> libmuffin.so.0()(64bit)  
> muffin(x86-64) >= 1.0.2
> 
> It may be best to remove the muffin packages from your repo if you can get
> away with that...

cinnamon-1.4.1-0.3.fc17.x86_64 is a snapshot build of cinnamon/master, it's requires the latest mufin/master branch to build.

https://github.com/linuxmint/muffin/commits/master/
Comment 72 Jeff Layton 2012-07-02 10:44:32 EDT
Ok, it seems then that you should update the buildrequires in the spec to reflect that dependency.
Comment 73 Christoph Wickert 2012-07-02 12:31:18 EDT
(In reply to comment #71)
> cinnamon-1.4.1-0.3.fc17.x86_64 is a snapshot build of cinnamon/master

You should probably indicate this with correct versioning of 1.4.4-0.3git12345678.fc17, see https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
Comment 74 Jens Petersen 2012-07-03 02:50:22 EDT
I think Leigh's repo is outside the scope of this review.

I built and tried cinnamon-1.4.0-6.UP1.fc16.src.rpm on F17 and
it seems to work just fine.

So is anyone planning to complete the review?
Comment 75 Dan Mashal 2012-07-03 03:58:58 EDT
I'll try to get someone to review this tomorrow. I tried to build this and noticed some issues but this is way out of my league.

Good job Leigh, I definitely believe this a sorely missed package..

Discuss staying within the guidelines tomorrow.. I know this is a massive package and it was not easy to build.
Comment 76 Eric Smith 2012-07-08 14:54:49 EDT
Created attachment 596910 [details]
mock build.log resulting from fedora-packager
Comment 77 Eric Smith 2012-07-08 14:55:40 EDT
Created attachment 596911 [details]
mock root.log resulting from fedora-packager
Comment 78 Eric Smith 2012-07-08 14:57:39 EDT
Running fedora-review against this review request bug fails to build cinnamon with mock, which is surprising since it apparently builds with koji.  The mock build (for rawhide) reports in the build log:

Running aclocal-1.11...
configure.ac:41: warning: macro `AM_GCONF_SOURCE_2' not found in library
Running autoconf...
configure.ac:41: error: possibly undefined macro: AM_GCONF_SOURCE_2
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.wxrEwN (%build)
    Bad exit status from /var/tmp/rpm-tmp.wxrEwN (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.

I've attached the full build.log and root.log.

Having this build successfully via mock from fedora-review is perhaps not a requirement, but it certainly would facilitate the review process.
Comment 79 leigh scott 2012-07-08 16:33:00 EDT
(In reply to comment #78)
> Running fedora-review against this review request bug fails to build
> cinnamon with mock, which is surprising since it apparently builds with
> koji.  The mock build (for rawhide) reports in the build log:
> 
> Running aclocal-1.11...
> configure.ac:41: warning: macro `AM_GCONF_SOURCE_2' not found in library
> Running autoconf...
> configure.ac:41: error: possibly undefined macro: AM_GCONF_SOURCE_2
>       If this token and others are legitimate, please use m4_pattern_allow.
>       See the Autoconf documentation.
> RPM build errors:
> error: Bad exit status from /var/tmp/rpm-tmp.wxrEwN (%build)
>     Bad exit status from /var/tmp/rpm-tmp.wxrEwN (%build)
> Child return code was: 1
> EXCEPTION: Command failed. See logs for output.
> 
> I've attached the full build.log and root.log.
> 
> Having this build successfully via mock from fedora-review is perhaps not a
> requirement, but it certainly would facilitate the review process.

F18 cinnamon fails here as well (upstream needs to catch up), could you use F17 instead for this review.

https://github.com/linuxmint/Cinnamon/commit/7c3c4fb6dd30d65a4d12224a060d1f893df484ad
Comment 80 Dan Mashal 2012-07-09 21:19:58 EDT
Yeah that is normal and more of a warning than an error.  

I get the same error when building mate from source. For mate I use the following command:

./autogen.sh --host=x86_64-redhat-linux-gnu --build=x86_64-redhat-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-gtk=2.0 --disable-static

Before I even run autogen I also need to do the following (for every package):


automake
autoconf
autoreconf -i --force
mate-doc-prepare --force --copy
aclocal
intltoolize --automake --copy --force
automake --add-missing
export ACLOCAL_FLAGS="-I /usr/local/share/aclocal/"
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/:/usr/local/share/pkgconfig/
export PYTHONPATH=${PYTHONPATH}:/usr/local/lib/python2.7/site-packages/
Comment 81 Dan Mashal 2012-07-09 22:06:43 EDT
Leigh,

I sent you an email. I'm finding MATE and Cinnamon to be quite similar in the way they were written and the way they are built.

I have just started finished building the first RPM for MATE (mate-common-1.2.2). I feel like it may be useful to you. You can find my spec file here:

http://vicodan.fedorapeople.org/mate-common.spec 

Not that it's perfect or anything but rpmbuild -ba, -bi, -bs completes and rpmlint gives me 0 errors. 

Please take a look and respond here or in my email. Hope this helps.

Dan
Comment 82 Ralf Corsepius 2012-07-10 01:12:40 EDT
(In reply to comment #80)

> export ACLOCAL_FLAGS="-I /usr/local/share/aclocal/"
> export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/:/usr/local/share/pkgconfig/
> export PYTHONPATH=${PYTHONPATH}:/usr/local/lib/python2.7/site-packages/

This would mean the package is improperly packaged or the tarball being incomplete. All external files a package uses during builts must ether be provided by the tarball or be pulled in by build-deps.
Comment 83 leigh scott 2012-07-10 04:23:40 EDT
(In reply to comment #82)
> (In reply to comment #80)
> 
> > export ACLOCAL_FLAGS="-I /usr/local/share/aclocal/"
> > export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/:/usr/local/share/pkgconfig/
> > export PYTHONPATH=${PYTHONPATH}:/usr/local/lib/python2.7/site-packages/
> 
> This would mean the package is improperly packaged or the tarball being
> incomplete. All external files a package uses during builts must ether be
> provided by the tarball or be pulled in by build-deps.

The error you are complaining about is nothing to do with cinnamon, Please keep your comments limited to this review and the review process!
Comment 84 leigh scott 2012-07-10 04:31:42 EDT
(In reply to comment #81)
> Leigh,
> 
> I sent you an email. I'm finding MATE and Cinnamon to be quite similar in
> the way they were written and the way they are built.
> 
> I have just started finished building the first RPM for MATE
> (mate-common-1.2.2). I feel like it may be useful to you. You can find my
> spec file here:
> 
> http://vicodan.fedorapeople.org/mate-common.spec 
> 
> Not that it's perfect or anything but rpmbuild -ba, -bi, -bs completes and
> rpmlint gives me 0 errors. 
> 
> Please take a look and respond here or in my email. Hope this helps.
> 
> Dan

Mate has been packaged already, see the link below for details.

http://forums.fedoraforum.org/showthread.php?t=276286

Here's his email address.

Wolfgang Ulbrich <info@raveit.de>
Comment 85 Dan Mashal 2012-07-10 10:22:45 EDT
I've been in contact with Wolfgang.

It's not formally packaged. 

I guess you didn't find my comments helpful.

Ok.
Comment 86 leigh scott 2012-07-10 11:45:56 EDT
(In reply to comment #85)
> I've been in contact with Wolfgang.
> 
> It's not formally packaged. 

I suggested this as it saves duplication of work. 

> I guess you didn't find my comments helpful.
> 

Your last comments were about mate, at the moment I haven't got any free time to get involved in any other projects at this time.



> Ok.
Comment 87 Dan Mashal 2012-07-10 11:47:54 EDT
Again, 

My intention was not talk about Mate here. My intention was to help you with Cinnamon. 

I looked at your spec file and tried to build. 

Considering it's taken you 7 months and it's still not built and you are being quite hostile I will go ahead and refraining commenting any further in this bug. Feel free to email me offline.

Thanks,
Dan
Comment 88 leigh scott 2012-07-10 11:58:16 EDT
(In reply to comment #87)
> Again, 
> 
> My intention was not talk about Mate here. My intention was to help you with
> Cinnamon. 
> 
> I looked at your spec file and tried to build. 
> 
> Considering it's taken you 7 months and it's still not built and you are
> being quite hostile I will go ahead and refraining commenting any further in
> this bug. Feel free to email me offline.
> 
> Thanks,
> Dan

My hostile comments were aimed at Ralf Corsepius, not you.
The time taken so far to review cinnamon is beyond my control.

As for help with cinnamon, I have already said I'm open to offers of help after the review process.

https://bugzilla.redhat.com/show_bug.cgi?id=771252#c33
https://bugzilla.redhat.com/show_bug.cgi?id=771252#c34


I'm sorry that you have mistaken my abrasive manner as hostility to you.


Leigh (irc leigh123linux)
Comment 89 Dan Mashal 2012-07-10 11:59:30 EDT
Apology accepted.

I will look for you on IRC.

Thanks,
Dan
Comment 90 Ralf Corsepius 2012-07-17 01:22:38 EDT
(In reply to comment #88)

> My hostile comments were aimed at Ralf Corsepius, not you.
What was hostile about my comments to justify your hostile ad-hominem attacks?

So far, this package suffers from bugs - period. This might not match with your wishes and suite into your intentions, but that's all.
Comment 91 leigh scott 2012-07-17 03:08:22 EDT
(In reply to comment #90)
> (In reply to comment #88)
> 
> > My hostile comments were aimed at Ralf Corsepius, not you.
> What was hostile about my comments to justify your hostile ad-hominem
> attacks?
> 
> So far, this package suffers from bugs - period. This might not match with
> your wishes and suite into your intentions, but that's all.


Bug are not in the scope of a package review
Now piss off and take your irrelevant comments elsewhere and don't bother commenting again.
Comment 92 Dan Mashal 2012-07-17 10:12:33 EDT
Seriously 7 months later, and this has gone nowhere. Please remove yourself.
Comment 93 Ralf Corsepius 2012-07-17 18:41:21 EDT
(In reply to comment #91)

> Bug are not in the scope of a package review
Pardon? The quality of a piece of SW doesn't matter? With all due respect this is laughable.

> Now piss off and take your irrelevant comments elsewhere and don't bother
> commenting again.
Bummer, ... I am certainly not willing to accept this tone of yours.
Comment 94 Trevor Pott 2012-07-17 18:55:04 EDT
I've been running this Cinnamon package on FC17 for some time now, and it certainly isn't any buggier than Gnome 3.  installs through YUM, uninstalls through YUM (when you have a repo with the packages added to your repos.d), integrates with the login manager...I'm not sure exactly what else is needed.  

It is of a quality that would normally be associated with a bleeding edge distribution such as Fedora.  It is in fact more stable and possessing less bugs regarding package build/YUM integration than several other active packages I could name.

So, flamewars aside, what is required to get this approved?  Can I – or anyone else – provide additional testing, hardware or other resources required to get this done?
Comment 95 Rex Dieter 2012-07-17 19:14:18 EDT
As of right now, the bug is assigned to metherid@gmail.com though the review flag isn't set.  it seems that his intention was to be the reviewer here, but I can't see much response from him lately.  rahul?

consider this envoking:
http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
whereby there will be a one-week wait period before allowing someone else to take over reviewer duties, if they wish.
Comment 96 Bobby Powers 2012-07-17 20:58:12 EDT
I've also been running this, built locally in mock from the latest specfile here on my F16 and F17 boxes.  While there are some small issues with Cinnamon (not nearly as power-friendly as gnome 3), the package itself seems to work well.  I'm not a fedora packager, but I'd be willing to help out in other ways as needed to get this in.  Let me know!
Comment 97 Christoph Wickert 2012-07-18 02:38:40 EDT
If we want to move this forward, we need to fix the bugs that prevent the package from building in rawhide.

(In reply to comment #79) 
> F18 cinnamon fails here as well (upstream needs to catch up), could you use
> F17 instead for this review.

Not really. As long as it does not build in rawhide, you cannot import the package because you would create a broken upgrade path. Rawhide is where development happens and I'm afraid if the package already lags behind during review, this will happen again with every single release. Trust me, this is no fun for both the maintainer and the users.

(In reply to comment #91)
> Bug are not in the scope of a package review

"The purpose of this formal review is to try to ensure that the package meets the quality control requirements for Fedora. This does not mean that the package (or the software being packaged) is perfect, but it should meet baseline minimum requirements for quality."
http://fedoraproject.org/wiki/Package_Review_Process
Comment 98 Dan Mashal 2012-07-18 03:12:50 EDT
Seems to build fine on F18 here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4114255

Again, if you have nothing to offer to help remove this stalled review forward please let others that are interested in helping moving this forward instead of continuing to stall this VERY IMPORTANT package for Fedora.
Comment 99 Dan Mashal 2012-07-18 03:13:22 EDT
remove/move*.
Comment 100 Dan Mashal 2012-07-18 03:49:46 EDT
Leigh, I know you've been working extremely hard on this package.

From the time I could spend on it (it's 12:48AM here) I think we should go for a minimal working build and work our way up to a highly customized build here's where I'm at right now.


I'll let whoever wants to flame me tomorrow go for it, at least this is constructive.


------------------------------------------

[dan@f172 SPECS]$ rpmbuild -ba cinnamon.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.BVKyn7
+ umask 022
+ cd /home/dan/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/dan/rpmbuild/BUILD
+ rm -rf cinnamon-1.4.0
+ /usr/bin/gzip -dc /home/dan/rpmbuild/SOURCES/cinnamon-1.4.0.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd cinnamon-1.4.0
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.q7Ve8Y
+ umask 022
+ cd /home/dan/rpmbuild/BUILD
+ cd cinnamon-1.4.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ export 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -Wno-error=deprecated-declarations'
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -Wno-error=deprecated-declarations'
+ NOCONFIGURE=1
+ ./autogen.sh
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.68
checking for automake >= 1.9...
  testing automake-1.11... found 1.11.3
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for gettext >= 0.10.40...
  testing gettextize... found 0.18.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.25
checking for gnome-common >= 2.3.0...
  testing gnome-doc-common... found 3.4.0.1
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `config'.
libtoolize: copying file `config/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
Running autopoint...
Copying file ABOUT-NLS
Copying file m4/codeset.m4
Copying file m4/glibc2.m4
Copying file m4/glibc21.m4
Copying file m4/intdiv0.m4
Copying file m4/intl.m4
Copying file m4/intldir.m4
Copying file m4/intmax.m4
Copying file m4/inttypes-pri.m4
Copying file m4/inttypes_h.m4
Copying file m4/lcmessage.m4
Copying file m4/lock.m4
Copying file m4/longlong.m4
Copying file m4/printf-posix.m4
Copying file m4/size_max.m4
Copying file m4/stdint_h.m4
Copying file m4/uintmax_t.m4
Copying file m4/visibility.m4
Copying file m4/wchar_t.m4
Copying file m4/wint_t.m4
Copying file m4/xsize.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
Copying file po/Rules-quot
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
Running intltoolize...
Running gnome-doc-common...
Running aclocal-1.11...
Running autoconf...
Running autoheader...
Running automake-1.11...
Skipping configure process.
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -Wno-error=deprecated-declarations'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ LDFLAGS='-Wl,-z,relro '
+ export LDFLAGS
+ ./configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-static
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... yes
checking whether make supports nested variables... yes
checking for x86_64-unknown-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking whether gcc and cc understand -c and -o together... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for x86_64-unknown-linux-gnu-objdump... no
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-unknown-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-unknown-linux-gnu-ar... no
checking for ar... ar
checking for archiver @FILE support... @
checking for x86_64-unknown-linux-gnu-strip... no
checking for strip... strip
checking for x86_64-unknown-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for x86_64-unknown-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... no
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking whether NLS is requested... yes
checking for intltool >= 0.40... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... (cached) /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for x86_64-unknown-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.22... yes
checking for gconftool-2... /usr/bin/gconftool-2
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for x86_64-unknown-linux-gnu-pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking for a Python interpreter with version >= 2.5... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.7/site-packages
checking for GStreamer (needed for recording functionality)... yes
checking for TEST_CINNAMON_RECORDER... yes
checking for CINNAMON... no
configure: error: Package requirements (gio-2.0 >= 2.29.10
                               gio-unix-2.0 dbus-glib-1 libxml-2.0
                               gtk+-3.0 >= 3.0.0
                               folks >= 0.5.2
                               libmuffin >= 1.0.2
                               gjs-internals-1.0 >= 1.29.18
			       libgnome-menu-3.0 gstreamer-0.10 gstreamer-base-0.10 x11 gconf-2.0
                               gdk-x11-3.0 libsoup-2.4 gl
			       clutter-x11-1.0 >= 1.7.5
                               libstartup-notification-1.0 >= 0.11
                               gobject-introspection-1.0 >= 0.10.1
			       libcanberra
                               telepathy-glib >= 0.15.5
                               telepathy-logger-0.2 >= 0.2.4
                               polkit-agent-1 >= 0.100 xfixes
                               libnm-glib libnm-util gnome-keyring-1) were not met:

No package 'folks' found
No package 'libmuffin' found
No package 'gjs-internals-1.0' found
No package 'libgnome-menu-3.0' found
No package 'telepathy-glib' found
No package 'telepathy-logger-0.2' found
No package 'libnm-glib' found
No package 'libnm-util' found
No package 'gnome-keyring-1' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CINNAMON_CFLAGS
and CINNAMON_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
error: Bad exit status from /var/tmp/rpm-tmp.q7Ve8Y (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.q7Ve8Y (%build)
[dan@f172 SPECS]$ rpmbuild -ba cinnamon.spec 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.CXCtoj
+ umask 022
+ cd /home/dan/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/dan/rpmbuild/BUILD
+ rm -rf cinnamon-1.4.0
+ /usr/bin/gzip -dc /home/dan/rpmbuild/SOURCES/cinnamon-1.4.0.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd cinnamon-1.4.0
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.IMQvFr
+ umask 022
+ cd /home/dan/rpmbuild/BUILD
+ cd cinnamon-1.4.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ export 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -Wno-error=deprecated-declarations'
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -Wno-error=deprecated-declarations'
+ NOCONFIGURE=1
+ ./autogen.sh
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.68
checking for automake >= 1.9...
  testing automake-1.11... found 1.11.3
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for gettext >= 0.10.40...
  testing gettextize... found 0.18.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.25
checking for gnome-common >= 2.3.0...
  testing gnome-doc-common... found 3.4.0.1
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, `config'.
libtoolize: copying file `config/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
Running autopoint...
Copying file ABOUT-NLS
Copying file m4/codeset.m4
Copying file m4/glibc2.m4
Copying file m4/glibc21.m4
Copying file m4/intdiv0.m4
Copying file m4/intl.m4
Copying file m4/intldir.m4
Copying file m4/intmax.m4
Copying file m4/inttypes-pri.m4
Copying file m4/inttypes_h.m4
Copying file m4/lcmessage.m4
Copying file m4/lock.m4
Copying file m4/longlong.m4
Copying file m4/printf-posix.m4
Copying file m4/size_max.m4
Copying file m4/stdint_h.m4
Copying file m4/uintmax_t.m4
Copying file m4/visibility.m4
Copying file m4/wchar_t.m4
Copying file m4/wint_t.m4
Copying file m4/xsize.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
Copying file po/Rules-quot
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
Running intltoolize...
Running gnome-doc-common...
Running aclocal-1.11...
Running autoconf...
Running autoheader...
Running automake-1.11...
Skipping configure process.
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -Wno-error=deprecated-declarations'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ LDFLAGS='-Wl,-z,relro '
+ export LDFLAGS
+ ./configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-static
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... yes
checking whether make supports nested variables... yes
checking for x86_64-unknown-linux-gnu-gcc... no
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking whether gcc and cc understand -c and -o together... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert x86_64-unknown-linux-gnu file names to x86_64-unknown-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-unknown-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for x86_64-unknown-linux-gnu-objdump... no
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-unknown-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-unknown-linux-gnu-ar... no
checking for ar... ar
checking for archiver @FILE support... @
checking for x86_64-unknown-linux-gnu-strip... no
checking for strip... strip
checking for x86_64-unknown-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for x86_64-unknown-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... no
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking whether NLS is requested... yes
checking for intltool >= 0.40... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... (cached) /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for x86_64-unknown-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.22... yes
checking for gconftool-2... /usr/bin/gconftool-2
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for x86_64-unknown-linux-gnu-pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking for a Python interpreter with version >= 2.5... python
checking for python... /usr/bin/python
checking for python version... 2.7
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.7/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.7/site-packages
checking for GStreamer (needed for recording functionality)... yes
checking for TEST_CINNAMON_RECORDER... yes
checking for CINNAMON... no
configure: error: Package requirements (gio-2.0 >= 2.29.10
                               gio-unix-2.0 dbus-glib-1 libxml-2.0
                               gtk+-3.0 >= 3.0.0
                               folks >= 0.5.2
                               libmuffin >= 1.0.2
                               gjs-internals-1.0 >= 1.29.18
			       libgnome-menu-3.0 gstreamer-0.10 gstreamer-base-0.10 x11 gconf-2.0
                               gdk-x11-3.0 libsoup-2.4 gl
			       clutter-x11-1.0 >= 1.7.5
                               libstartup-notification-1.0 >= 0.11
                               gobject-introspection-1.0 >= 0.10.1
			       libcanberra
                               telepathy-glib >= 0.15.5
                               telepathy-logger-0.2 >= 0.2.4
                               polkit-agent-1 >= 0.100 xfixes
                               libnm-glib libnm-util gnome-keyring-1) were not met:

No package 'folks' found
No package 'libmuffin' found
No package 'gjs-internals-1.0' found
No package 'libgnome-menu-3.0' found
No package 'telepathy-glib' found
No package 'telepathy-logger-0.2' found
No package 'libnm-glib' found
No package 'libnm-util' found
No package 'gnome-keyring-1' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CINNAMON_CFLAGS
and CINNAMON_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
error: Bad exit status from /var/tmp/rpm-tmp.IMQvFr (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.IMQvFr (%build)
[dan@f172 SPECS]$ 


---------------------------------------------


[dan@f172 SPECS]$ cat cinnamon.spec 
Name:           cinnamon
Version:        1.4.0
Release:        6%{?dist}
Summary:        Window management and application launching for GNOME

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://cinnamon.linuxmint.com
# To generate tarball
# wget https://github.com/linuxmint/Cinnamon/tarball/1.4-UP1 -O cinnamon-1.4.0.UP1.tar.gz
Source0:        cinnamon-%{version}.tar.gz




#BuildRequires:  clutter-devel
#BuildRequires:  dbus-glib-devel
#BuildRequires:  desktop-file-utils
#BuildRequires:  evolution-data-server-devel
#BuildRequires:  gjs-devel
#BuildRequires:  glib2-devel
#BuildRequires:  gnome-menus-devel
#BuildRequires:  gnome-desktop3-devel
#BuildRequires:  gobject-introspection
#BuildRequires:  json-glib-devel
#BuildRequires:  upower-devel
#BuildRequires:  NetworkManager-glib-devel
#BuildRequires:  polkit-devel
#BuildRequires:  telepathy-glib-devel
#BuildRequires:  telepathy-logger-devel
#BuildRequires:  GConf2
#BuildRequires:  libgudev1-devel
# for screencast recorder functionality
#BuildRequires:  gstreamer-devel
#BuildRequires:  gtk3-devel
#BuildRequires:  intltool
#BuildRequires:  libcanberra-devel
#BuildRequires:  libcroco-devel
#BuildRequires:  folks-devel
# for barriers
#BuildRequires:  libXfixes-devel
# used in unused BigThemeImage
#BuildRequires:  librsvg2-devel
#BuildRequires:  muffin-devel
#BuildRequires:  pulseaudio-libs-devel
# Bootstrap requirements
#Requires:       muffin
#Requires:       upower
#Requires:       polkit
#Requires:       gnome-session
#Requires:       at-spi2-atk
#Requires:       caribou

%description
Cinnamon is a Linux desktop which provides advanced
 innovative features and a traditional user experience.

The desktop layout is similar to Gnome 2. 
The underlying technology is forked from Gnome Shell.
The emphasis is put on making users feel at home and providing
 them with an easy to use and comfortable desktop experience.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-error=deprecated-declarations"
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/*
%{_bindir}/cinnamon-settings
%{_bindir}/cinnamon-extension-tool
%{_sysconfdir}/gconf/schemas/cinnamon.schemas
%{_sysconfdir}/xdg/menus/cinnamon-applications.menu
%{_sysconfdir}/xdg/menus/cinnamon-settings.menu
%{_datadir}/desktop-directories/cinnamon-*.directory
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/cinnamon.desktop
%{_datadir}/applications/cinnamon-settings.desktop
%{_datadir}/xsessions/cinnamon.desktop
%{_datadir}/gnome-session/sessions/cinnamon.session
%dir %{_datadir}/cinnamon
%{_datadir}/cinnamon/applets/
%{_datadir}/cinnamon/js/
%{_datadir}/cinnamon/search_providers/
%{_datadir}/cinnamon/shaders/
%{_datadir}/cinnamon/theme/
%{_datadir}/cinnamon-settings/
%{_datadir}/dbus-1/services/org.Cinnamon.CalendarServer.service
%{_datadir}/dbus-1/services/org.Cinnamon.HotplugSniffer.service
%{_libdir}/cinnamon/
%{_libexecdir}/cinnamon-calendar-server
%{_libexecdir}/cinnamon-perf-helper
%{_libexecdir}/cinnamon-hotplug-sniffer
%{_mandir}/man1/%{name}.1.gz


%changelog
* Tue May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-6.UP1
- filter provides and requires

* Mon May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-5.UP1
- Silence glib-compile-schemas scriplets
- fix firefox patch for f17
- fix power applet for f16

* Mon May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-4.UP1
- add notification patch

* Mon May 28 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-3.UP1
- change %%define to %%global
- fix files listed twice in %%files section
- version patches
- remove %%config from files (gnome-shell and gnome-menus doesn't use them
  for the equivalent files)
- drop login theme patch

* Sun May 27 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-2.UP1
- add configure option so it compiles on F17
- fix release tag

* Sun May 27 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-1.UP1
- update to 1.4.0.UP1-1

* Wed Mar 14 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-2
- fix un-themed shutdown

* Tue Mar 13 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.4.0-1
- update to 1.4.0

* Mon Feb 20 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.3.1-1
- update to 1.3.1
- remove static lib
- remove mozilla plugin

* Fri Feb 17 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.3.0-1
- update to 1.3.0 release

* Mon Jan 22 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.2.0-1
- update to 1.2.0 release
- add build requires muffin-devel
- add Br libgudev1-devel
- add only-show-in=GNOME to settings desktop file
- make changes for source changes, applets, settings and session added
- delete session files and use my own
- move settings from lib to usr (it had no libs)
- replace menu icon
- change description

* Wed Jan 04 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.3-2
- add requires gnome-session
- clean up spec file ready for review

* Mon Jan 02 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.3-1
- update to version 1.1.3

* Sun Jan 01 2012 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.2-2
- fix firefox launchers

* Fri Dec 30 2011 Leigh Scott <leigh123linux@fedoraproject.org> - 1.1.2-1
- first build based on gnome-shell srpm
- add session files

[dan@f172 SPECS]$
Comment 101 leigh scott 2012-07-18 05:15:10 EDT
(In reply to comment #97)
> If we want to move this forward, we need to fix the bugs that prevent the
> package from building in rawhide.
> 
> (In reply to comment #79) 
> > F18 cinnamon fails here as well (upstream needs to catch up), could you use
> > F17 instead for this review.
> 
> Not really. As long as it does not build in rawhide, you cannot import the
> package because you would create a broken upgrade path. Rawhide is where
> development happens and I'm afraid if the package already lags behind during
> review, this will happen again with every single release. Trust me, this is
> no fun for both the maintainer and the users.
> 

I could probably build git snapshots for F18 after patching cinnamon for the introspection changes.



> (In reply to comment #91)
> > Bug are not in the scope of a package review
> 
> "The purpose of this formal review is to try to ensure that the package
> meets the quality control requirements for Fedora. This does not mean that
> the package (or the software being packaged) is perfect, but it should meet
> baseline minimum requirements for quality."
> http://fedoraproject.org/wiki/Package_Review_Process

IMO cinnamon easily meets baseline minimum requirements for quality.

comment #90 was another attempt by Ralf to derail this review
Comment 102 Mamoru TASAKA 2012-07-18 10:17:42 EDT
So:

* Which is the current spec / srpm the reviewer should review?
  Please show the exact URLs on this bug.
* Who is the current actual submitter? (i.e. who is going to be
  a prime maintainer for this package on Fedora?)
* Who is the current actual reviewer? (the assignee is currently
  actually reviewing this package?)

Please rearrange the current status.

Note:
* If the real submitter's srpm fails to build on rawhide, please mark
  this bug as NotReady.
Comment 103 Eric Smith 2012-07-18 10:34:01 EDT
Futher to comment 102, please note that whenever a new SPEC and RPM are intended to be used for the review, they should be listed in a comment in the same format as in the header for the original review request, to support tools expecting that such as fedora-review.  (vs. e.g. comments 6 and 8)
Comment 104 leigh scott 2012-07-18 11:00:14 EDT
(In reply to comment #102)
> So:
> 
> * Which is the current spec / srpm the reviewer should review?
>   Please show the exact URLs on this bug.






SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/10/cinnamon.spec



SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/10/cinnamon-1.4.0-6.UP1.fc16.src.rpm

> * Who is the current actual submitter? (i.e. who is going to be
>   a prime maintainer for this package on Fedora?)

Me

> * Who is the current actual reviewer? (the assignee is currently
>   actually reviewing this package?)
> 

????

> Please rearrange the current status.
> 
> Note:
> * If the real submitter's srpm fails to build on rawhide, please mark
>   this bug as NotReady.

No!, I will submit a patched cinnamon gitsnapshot when I can get Rawhide working.

Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
Comment 106 leigh scott 2012-07-18 12:51:02 EDT
As you insist on a build for rawhide here it is, may god have mercy on your souls (if you have one :-) )

SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon_rawhide/cinnamon.spec



SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon_rawhide/cinnamon-1.4.1-0.1.git7959517.fc18.src.rpm
Comment 107 leigh scott 2012-07-18 13:56:30 EDT
(In reply to comment #106)
> As you insist on a build for rawhide here it is, may god have mercy on your
> souls (if you have one :-) )
> 
> SPEC:
> http://leigh123linux.fedorapeople.org/pub/review/cinnamon_rawhide/cinnamon.
> spec
> 
> 
> 
> SRPM:
> http://leigh123linux.fedorapeople.org/pub/review/cinnamon_rawhide/cinnamon-1.
> 4.1-0.1.git7959517.fc18.src.rpm

F18 koji build

http://koji.fedoraproject.org/koji/taskinfo?taskID=4249906
Comment 108 Mukundan Ragavan 2012-07-18 14:20:16 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 109 Dan Mashal 2012-07-18 16:32:35 EDT
I'm taking over this stilled review as per Leigh's request and Rex's blessing. I will be working with Leigh and if I have any questions I will work with Rex.

There was no package review flag set on this bug at all and no formal reviewer.

I will work on this tonight and will review the entire bug, comments and concerns from everyone.

Thanks,
Dan
Comment 110 Dan Mashal 2012-07-18 16:34:30 EDT
stilled/stalled*
Comment 111 leigh scott 2012-07-18 17:26:47 EDT
Here my latest Spec file and srpm that I'm puuting forward for the review process, please ignore all previous versions.

These will only build for F17 and F18!!


SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/11/cinnamon.spec



SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/11/cinnamon-1.4.1-0.4.git7959517.fc17.src.rpm



F17 has a buildroot override at koji to enable you to build it if you wish.
Comment 112 Dan Mashal 2012-07-18 19:41:41 EDT
Thanks Leigh,

I am looking at it now.

Dan
Comment 113 Dan Mashal 2012-07-18 22:57:53 EDT
Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4255909
http://koji.fedoraproject.org/koji/taskinfo?taskID=4255922

$ rpmlint cinnamon.spec 
cinnamon.spec:13: W: macro-in-comment %{_internel_version}
cinnamon.spec:13: W: macro-in-comment %{version}
cinnamon.spec:13: W: macro-in-comment %{_internal_version}
0 packages and 1 specfiles checked; 0 errors, 3 warnings.


$ rpmlint cinnamon-1.4.1-0.4.git7959517.fc17.src.rpm 
cinnamon.src:13: W: macro-in-comment %{_internel_version}
cinnamon.src:13: W: macro-in-comment %{version}
cinnamon.src:13: W: macro-in-comment %{_internel_version}
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


Licensing looks good. Koji scratch builds OK on F17 and F18, naming looks good.

F16 build failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4255924

I was unable to install the built RPM from Koji on f17 x86_64:

Error: Package: cinnamon-1.4.1-0.4.git7959517.fc17.x86_64 (/cinnamon-1.4.1-0.4.git7959517.fc17.x86_64)
           Requires: muffin(x86-64) >= 1.0.4
           Installed: muffin-1.0.3-3.fc17.x86_64 (@updates)
               muffin(x86-64) = 1.0.3-3.fc17
           Available: muffin-1.0.2-1.fc17.x86_64 (fedora)
               muffin(x86-64) = 1.0.2-1.fc17
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
mate-common-1.4.0-5.fc17.noarch is a duplicate with mate-common-1.4.0-4.fc17.noarch
[root@f172 SPECS]# yum install ./cinnamon-1.4.1-0.4.git7959517.fc17.x86_64.rpm ^C
[root@f172 SPECS]# yum update --enablerepo=updates-testing muffin
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
updates-testing/metalink                                 |  17 kB     00:00     
updates-testing                                          | 4.5 kB     00:00     
updates-testing/primary_db                               | 978 kB     00:01     
Loading mirror speeds from cached hostfile
 * fedora: dl.fedoraproject.org
 * updates: dl.fedoraproject.org
 * updates-testing: dl.fedoraproject.org
updates-testing/group_gz                                 | 434 kB     00:00     
No Packages marked for Update
[root@f172 SPECS]# yum install --enablerepo=updates-testing muffin
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: dl.fedoraproject.org
 * updates: dl.fedoraproject.org
 * updates-testing: dl.fedoraproject.org
Package muffin-1.0.3-3.fc17.x86_64 already installed and latest version
Nothing to do
[root@f172 SPECS]# 

TO DO:

Please remove specific version requirements from the spec file.

Please correct the spelling errors in the spec file internel -> internal

Please work to fix the issue with F16 build.

Please work with upstream to get their source fixed so that an internal patched, modified version is required, if possible.
Comment 114 Dan Mashal 2012-07-18 22:59:29 EDT
Correction to last line:

Please work with upstream to get their source fixed so that an internal patched, modified version is NOT required, if possible.
Comment 115 leigh scott 2012-07-19 01:50:03 EDT
(In reply to comment #113)
> TO DO:
> 
> Please remove specific version requirements from the spec file.

No, cinnamon has it's requirement
> 
> Please correct the spelling errors in the spec file internel -> internal

Yes I will correct this

> Please work to fix the issue with F16 build.

No, as I said th git build is too new to build on F16.

> 
> Please work with upstream to get their source fixed so that an internal
> patched, modified version is required, if possible.

My patches aren't going upstream as they are packaging fixes for fedora.
Comment 116 Dan Mashal 2012-07-19 01:51:38 EDT
Leigh, 

Fair enough. But how would I install on f17 if I need a version of muffin that is not yet in the repo?

Dan
Comment 117 leigh scott 2012-07-19 04:31:26 EDT
(In reply to comment #116)
> Leigh, 
> 
> Fair enough. But how would I install on f17 if I need a version of muffin
> that is not yet in the repo?

It should be in the stable repo soon

https://admin.fedoraproject.org/updates/muffin-1.0.4-0.4.gitfcea2f1.fc17

> 
> Dan


Here's the updated srpm + spec

* Thu Jul 19 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.1-0.5.git7959517
- Correct spelling mistake
- Add descriptions for patches


SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/12/cinnamon.spec


SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/12/cinnamon-1.4.1-0.5.git7959517.fc17.src.rpm
Comment 118 Dan Mashal 2012-07-19 18:11:06 EDT
I'm awaiting Koji right now. Here are my notes:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4266604
http://koji.fedoraproject.org/koji/taskinfo?taskID=4268264

[root@f172 ~]# rpm -ivh cinnamon-1.4.1-0.5.git7959517.fc17.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:cinnamon               ########################################### [100%]

$ rpmlint cinnamon*
cinnamon.src:13: W: macro-in-comment %{_internal_version}
cinnamon.src:13: W: macro-in-comment %{version}
cinnamon.src:13: W: macro-in-comment %{_internal_version}
cinnamon.spec:13: W: macro-in-comment %{_internal_version}
cinnamon.spec:13: W: macro-in-comment %{version}
cinnamon.spec:13: W: macro-in-comment %{_internal_version}
1 packages and 1 specfiles checked; 0 errors, 6 warnings.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[X] MUST: The sources used to build the package must match the upstream source.
Please work with upstream if possible to get a pristine upstream source that does not need to be modified.
[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji builds above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[.] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Works fine on my system (metacity part not tested)
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.
Comment 119 Dan Mashal 2012-07-19 18:16:35 EDT
To do for me:


Tested Cinnamon after reboot on F17 x86_64, everything seems in good shape, need to test F18 builds, f17 i686 build and 3D mode on all builds.
Comment 120 Ralf Corsepius 2012-07-19 20:26:40 EDT
(In reply to comment #118)

> $ rpmlint cinnamon*
> cinnamon.src:13: W: macro-in-comment %{_internal_version}
> cinnamon.src:13: W: macro-in-comment %{version}
> cinnamon.src:13: W: macro-in-comment %{_internal_version}
> cinnamon.spec:13: W: macro-in-comment %{_internal_version}
> cinnamon.spec:13: W: macro-in-comment %{version}
> cinnamon.spec:13: W: macro-in-comment %{_internal_version}
> 1 packages and 1 specfiles checked; 0 errors, 6 warnings.

This is inacceptable. Revoke your review until Leigh has fixed this.
Comment 121 leigh scott 2012-07-19 20:50:57 EDT
(In reply to comment #120)
> (In reply to comment #118)
> 
> > $ rpmlint cinnamon*
> > cinnamon.src:13: W: macro-in-comment %{_internal_version}
> > cinnamon.src:13: W: macro-in-comment %{version}
> > cinnamon.src:13: W: macro-in-comment %{_internal_version}
> > cinnamon.spec:13: W: macro-in-comment %{_internal_version}
> > cinnamon.spec:13: W: macro-in-comment %{version}
> > cinnamon.spec:13: W: macro-in-comment %{_internal_version}
> > 1 packages and 1 specfiles checked; 0 errors, 6 warnings.
> 
> This is inacceptable. Revoke your review until Leigh has fixed this.

Fixed

SPEC: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/13/cinnamon.spec

SRPM: http://leigh123linux.fedorapeople.org/pub/review/cinnamon/13/cinnamon-1.4.1-0.6.git7959517.fc17.src.rpm

it was a trivial fix
Comment 122 Christoph Wickert 2012-07-19 21:02:40 EDT
Some hints purely from looking at the spec and not the srpm:

- Don't use %define, consistently use %global
- Don't use fuzzy patches but rebase them
- Don't use the %{version} in the name of patches because it means you need to rename the patch when you package a version even if it still applies cleanly. The version in the patch name should be hardcoded and refer to the version where a patch was introduced.
- Patches should have comments and links to upstream or downstream bugs so we can easily see if something is being upstreamed or not.
- First apply upstream patches, than downstream ones. Start downstream ones at say %patch10 or %patch20, then you have enough room for upstream fixes.
- Some of the Requires and BuildRequires seem redundant
- Better use install rather than cp because to make sure permissions are correct and timestamps are preserved.
- use "make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'" tp preserve timestamps
- Don't hardcode directory names like /usr/share in the sed commands, use macros
- The glib-compile-schemas scriptlets are wrong, they don't handle the upgrading. Please use the ones form the wiki.
- The package provides a dbus service, but does not require dbus-x11. How is dbus started then?
- Does cinnamon provide a polkit-authentication agent (password entry dialog)? If so, add Provides: PolicyKit-authentication-agent, if not, require it.
- Why do you move the cinnamon settings menu entry to the "Utilities" group?
- Why do you remove the included *.session and xsession files and provide your own as additional sources? Please add a comment as explanation.
- Don't specify the manpage with full extension, use %{name}.1.* instead of %{name}.1.gz in case we switch to another compression method.
- Why not simply own %{_datadir}/cinnamon/ ?
Comment 123 Dan Mashal 2012-07-19 21:40:44 EDT
Thanks Christoph for your comments.

Leigh, I think we almost have a winner here.

I still have some testing to do but I was able to run both 3d and 2d mode flawlessly.

I was very impressed with how well everything worked.

One concern I had was making this work without gnome preinstalled.

Also Christoph who is an experienced packager brings up some good points.

However as we discussed on IRC you have had to make some modifications to make this work properly on fedora and it will take some work to get your patches incorporated in to upstream.

I personally tried to build this straight from source from upstream and could not. So hats off to you on that. 

Pending some further cleanup of the spec as per Christophs comments and further qa testing on my side we are almost done here.
Comment 124 leigh scott 2012-07-20 03:38:43 EDT
(In reply to comment #122)
> Some hints purely from looking at the spec and not the srpm:
> 
> - Don't use %define, consistently use %global

Done

> - Don't use fuzzy patches but rebase them

Done

> - Don't use the %{version} in the name of patches because it means you need
> to rename the patch when you package a version even if it still applies
> cleanly. The version in the patch name should be hardcoded and refer to the
> version where a patch was introduced.

Done

> - Patches should have comments and links to upstream or downstream bugs so
> we can easily see if something is being upstreamed or not.
> - First apply upstream patches, than downstream ones. Start downstream ones
> at say %patch10 or %patch20, then you have enough room for upstream fixes.


Done, I will apply my patches first then upstream, there is no guideline for this so I'm free to order them as I see fit,


> - Some of the Requires and BuildRequires seem redundant

Maybe, I will sort this out when time permits (The requires and buildrequires were copied from the gnome-shell spec)

> - Better use install rather than cp because to make sure permissions are
> correct and timestamps are preserved.

Done

> - use "make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'" tp
> preserve timestamps

Done

> - Don't hardcode directory names like /usr/share in the sed commands, use
> macros

Done, how do you express /usr/lib as a macro, I tried %{prefix}/lib

> - The glib-compile-schemas scriptlets are wrong, they don't handle the
> upgrading. Please use the ones form the wiki.

Done

> - The package provides a dbus service, but does not require dbus-x11. How is
> dbus started then?

Done - why is gnome-shell exempt from this?, is it some sort of redhat favouritism?

> - Does cinnamon provide a polkit-authentication agent (password entry
> dialog)? If so, add Provides: PolicyKit-authentication-agent, if not,
> require it.

Not done - why is gnome-shell exempt from this?, is it some sort of redhat favouritism?

> - Why do you move the cinnamon settings menu entry to the "Utilities" group?

I can't remember.

> - Why do you remove the included *.session and xsession files and provide
> your own as additional sources? Please add a comment as explanation.

Cinnamon originally didn't come complete with session files so I added my own.
I see no reason to use theirs as they would require fixes.

> - Don't specify the manpage with full extension, use %{name}.1.* instead of
> %{name}.1.gz in case we switch to another compression method.

Done

> - Why not simply own %{_datadir}/cinnamon/ ?

If I do this I get warnings that the lang files are listed twice.
Comment 126 Dan Mashal 2012-07-20 03:44:25 EDT
PACKAGE APPROVED

work on the finer details alter.

Enough, Christoph.
Comment 127 Dan Mashal 2012-07-20 03:45:56 EDT
Please raise any further concerns to Rex Dieter, my sponsor and Leigh's sponsor.
Comment 128 Dan Mashal 2012-07-20 03:49:07 EDT
New Package SCM Request
=======================
Package Name: cinnamon
Short Description: A desktop engine based on Gnome 3.
Owners: vicodan leigh123linux rdieter
Branches: f17 f18
Comment 129 leigh scott 2012-07-20 04:33:15 EDT
(In reply to comment #126)
> PACKAGE APPROVED
> 
> work on the finer details alter.
> 
> Enough, Christoph.

Hi Dan,

Thank you for making/taking the time to review cinnamon.
I owe you, if you ever need a review contact me and I will make the time to do it.

Many thanks 

Leigh
Comment 130 leigh scott 2012-07-20 04:42:56 EDT
(In reply to comment #128)
> New Package SCM Request
> =======================
> Package Name: cinnamon
> Short Description: A desktop engine based on Gnome 3.
> Owners: vicodan leigh123linux rdieter
> Branches: f17 f18

I'm supposed to do this bit :-)

http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure


New Package SCM Request
=======================
Package Name: cinnamon
Short Description: Window management and application launching for GNOME
Owners: leigh123linux
Branches: f16 f17
InitialCC:


If anyone would like to help co-maintain cinnamon please apply here.

https://admin.fedoraproject.org/pkgdb/acls/name/cinnamon
Comment 131 Dan Mashal 2012-07-20 04:45:39 EDT
That link is invalid, please include me and rdieter as owners for your own sake.
Comment 132 Fabien Archambault 2012-07-20 04:46:39 EDT
I have built your latests SRPM succesfully on a F17 i686 laptop! I wanted to thank all of you for this package. I am waiting for the repo version!
Comment 133 Dan Mashal 2012-07-20 04:47:45 EDT
@Fabien,

:)
Comment 134 leigh scott 2012-07-20 04:49:44 EDT
(In reply to comment #131)
> That link is invalid, please include me and rdieter as owners for your own
> sake.

The link will work after cvs is set to + by the cvs admin.
Comment 135 Dan Mashal 2012-07-20 04:50:48 EDT
cool
Comment 136 Dan Mashal 2012-07-20 04:51:34 EDT
Best of luck to you Leigh! look forward to seeing this in Fedora!
Comment 137 Richard Körber 2012-07-20 05:02:00 EDT
Thanks to everyone who made this package possible!

I'm looking forward for a Fedora 18 Cinnamon spin. ;-)
Comment 138 Jon Ciesla 2012-07-20 08:17:35 EDT
Git done (by process-git-requests).
Comment 139 Michael Scherer 2012-07-20 09:42:00 EDT
> > - The package provides a dbus service, but does not require dbus-x11. How is
> > dbus started then?
>
> Done - why is gnome-shell exempt from this?, is it some sort of redhat 
> favouritism?

Bugzilla is not the place for such baseless accusations. Gnome-shell require mutter who require dbus-x11, so the requirement is already fulfilled.
Comment 140 Fedora Update System 2012-07-20 14:59:59 EDT
cinnamon-1.4.1-0.8.git7959517.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cinnamon-1.4.1-0.8.git7959517.fc17
Comment 141 Fedora Update System 2012-07-20 16:54:24 EDT
cinnamon-1.4.0-8.UP1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cinnamon-1.4.0-8.UP1.fc16
Comment 142 Fedora Update System 2012-07-20 22:52:15 EDT
Package cinnamon-1.4.0-8.UP1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cinnamon-1.4.0-8.UP1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10927/cinnamon-1.4.0-8.UP1.fc16
then log in and leave karma (feedback).
Comment 143 Fedora Update System 2012-07-20 22:56:52 EDT
cinnamon-1.4.1-0.8.git7959517.fc17 has been pushed to the Fedora 17 stable repository.
Comment 144 Romain DEP. 2012-07-21 12:32:11 EDT
Hi, I just yum installed cinnamon, and got this bug :
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/845791

installing accountsservice-libs helps there, maybe should it be added as a dependency of cinnamon ?

Thks
Comment 145 leigh scott 2012-07-21 13:39:45 EDT
(In reply to comment #144)
> Hi, I just yum installed cinnamon, and got this bug :
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/845791
> 
> installing accountsservice-libs helps there, maybe should it be added as a
> dependency of cinnamon ?
> 
> Thks

Thanks.

I have added it.
Comment 146 Vít Ondruch 2012-07-23 06:43:57 EDT
Hi guys,

I can't find any Cinnamon feature for F18 [1]. Have you considered to submit it for FeSCo approval [2]? I am not saying it should be blocker, just if would be nice for marketing.

[1] https://fedoraproject.org/wiki/Releases/18/FeatureList
[2] https://fedoraproject.org/wiki/Features/Policy
Comment 147 Michael Scherer 2012-07-23 06:53:03 EDT
Feature submission deadline is tomorrow.
Comment 148 Dan Mashal 2012-07-23 10:45:08 EDT
It has been considered and decided against. However, I have propose MATE desktop as a feature.
Comment 149 Fedora Update System 2012-07-28 20:53:21 EDT
cinnamon-1.4.0-8.UP1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 150 Chris Smart 2012-07-29 18:25:04 EDT
Not sure if I should open a new bug/request for this or not, however menu.png is included in the Cinnamon package which means Fedora remixes cannot ship it and must re-build their own.

Are we able to move menu.png to fedora-logos (and a generic one for generic-logos)?

Alternatively remixes could change the location Cinnamon looks for menu.png however, they would still be shipping the package with Fedora artwork.

Thanks!
Chris
Comment 151 leigh scott 2012-07-29 19:19:43 EDT
(In reply to comment #150)
> Not sure if I should open a new bug/request for this or not, however
> menu.png is included in the Cinnamon package which means Fedora remixes
> cannot ship it and must re-build their own.
> 
> Are we able to move menu.png to fedora-logos (and a generic one for
> generic-logos)?
> 
> Alternatively remixes could change the location Cinnamon looks for menu.png
> however, they would still be shipping the package with Fedora artwork.
> 
> Thanks!
> Chris

This should correct it.

http://koji.fedoraproject.org/koji/buildinfo?buildID=344870
Comment 152 leigh scott 2012-07-29 19:32:31 EDT
(In reply to comment #151)
> (In reply to comment #150)
> > Not sure if I should open a new bug/request for this or not, however
> > menu.png is included in the Cinnamon package which means Fedora remixes
> > cannot ship it and must re-build their own.
> > 
> > Are we able to move menu.png to fedora-logos (and a generic one for
> > generic-logos)?
> > 
> > Alternatively remixes could change the location Cinnamon looks for menu.png
> > however, they would still be shipping the package with Fedora artwork.
> > 
> > Thanks!
> > Chris
> 
> This should correct it.
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=344870

P.S I have left the original cinnamon menu png in the package 

/usr/share/cinnamon/theme/menu.png
Comment 153 Russell Doty 2012-07-31 14:15:09 EDT
Re: comment 148 - what is the advantage of Mate over Cinnamon? Cinnamon is built on top of the Gnome 3 core technology; my understanding is that Mate is basically bringing the Gnome 2 technology stack forward.
Comment 154 Mamoru TASAKA 2012-07-31 16:52:03 EDT
This review request is already CLOSED. Please don't discuss things here any longer.

Bugs on cinnamon (if any) should be reported by opening a new bug against cinnamon component. Other issues or thought must be discussed on appropriate mailing list or so.
Comment 155 leigh scott 2014-01-02 11:45:22 EST
Package Change Request
======================
Package Name: cinnamon
New Branches: epel7
Owners: leigh123linux
Comment 156 Jon Ciesla 2014-01-02 12:00:28 EST
No epel7 branches yet.
Comment 157 leigh scott 2014-01-12 08:14:23 EST
Package Change Request
======================
Package Name: cinnamon
New Branches: epel7
Owners: leigh123linux
Comment 158 Jon Ciesla 2014-01-13 07:45:04 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.